Summary: Nameserver information handler
Name: resolvconf
Version: 1.79
Release: %mkrel 1
Source0: ftp://ftp.debian.org/debian/pool/main/r/resolvconf/%{name}_%{version}.tar.xz
Source1: list-by-metric
Source2: resolvconf.init
Source3: %{name}-tmpfiles.conf
# allow /run/resolvconf/resolv.conf to be a symlink
Patch1: resolvconf-1.74-symlink.patch
Patch2: resolvconf-1.74-metric.patch
# use same level for eth* ath* wlan* ppp*, to sort them by metric
Patch3: resolvconf-1.74-notypeorder.patch
License: GPLv2+
Group: Networking/Other
Url: http://packages.debian.org/unstable/net/resolvconf
BuildArch: noarch
Requires(pre):   filesystem >= 2.1.9-18
Requires:  systemd >= %{systemd_required_version}
Requires:  rpm-helper
Requires(preun): rpm-helper

%description
Resolvconf is a framework for keeping track of the system's
information about currently available nameservers. It sets itself up
as the intermediary between programs that supply nameserver
information and programs that use nameserver information. Examples of
programs that supply nameserver information are: ifupdown, DHCP
clients, the PPP daemon and local nameservers. Examples of programs
that use this information are: DNS caches, resolver libraries and the
programs that use them.

%prep
%setup -q
%apply_patches

%build

%install
install -d %{buildroot}%{_sysconfdir}
cp -a etc/%{name} %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}/%{name}/update-libc.d
# remove patch backup files
rm -f %{buildroot}%{_sysconfdir}/%{name}/interface-order.*
rm -f %{buildroot}%{_sysconfdir}/%{name}/update.d/*.*

touch %{buildroot}%{_sysconfdir}/%{name}/resolv.conf.d/tail

install -d %{buildroot}/sbin
install bin/%{name} %{buildroot}/sbin
install -d %{buildroot}/lib/%{name}
install bin/list-records %{buildroot}/lib/%{name}
install -m 755 %{SOURCE1} %{buildroot}/lib/%{name}/list-by-metric
ln -s /run/%{name} %{buildroot}%{_sysconfdir}/%{name}/run

install -d %{buildroot}%{_initrddir}
install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}

# create tmpfiles directory
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

install -d %{buildroot}%{_mandir}/man{5,8}
install -m 644 man/interface-order.5 %{buildroot}%{_mandir}/man5
install -m 644 man/resolvconf.8 %{buildroot}%{_mandir}/man8

%triggerpostun -- resolvconf == 1.68-1.mga3
# tranform resolv.conf from a symlink back to a file
if [ -L /etc/resolv.conf ] && [ "$(readlink /etc/resolv.conf)" = "/run/resolvconf/resolv.conf" ]; then
   rm -f /etc/resolv.conf
   mv /run/resolvconf/resolv.conf /etc/resolv.conf
fi

%posttrans
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README COPYING
/sbin/%{name}
/lib/%{name}
%{_tmpfilesdir}/%{name}.conf
%{_initrddir}/%{name}
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/run
%config(noreplace) %{_sysconfdir}/%{name}/interface-order
%dir %{_sysconfdir}/%{name}/resolv.conf.d
%config(noreplace) %{_sysconfdir}/%{name}/resolv.conf.d/*
%dir %{_sysconfdir}/%{name}/update.d
%{_sysconfdir}/%{name}/update.d/*
%dir %{_sysconfdir}/%{name}/update-libc.d
%{_mandir}/man?/*


%changelog
* Wed May 25 2016 luigiwalser <luigiwalser> 1.79-1.mga6
+ Revision: 1018505
- 1.79

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.78-1.mga6
+ Revision: 918853
- 1.78

* Fri Aug 21 2015 tmb <tmb> 1.76.1-2.mga6
+ Revision: 867857
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.76.1-1.mga6
+ Revision: 837355
- 1.76.1

* Wed Oct 15 2014 umeabot <umeabot> 1.75-3.mga5
+ Revision: 749486
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.75-2.mga5
+ Revision: 688661
- Mageia 5 Mass Rebuild

* Fri May 16 2014 luigiwalser <luigiwalser> 1.75-1.mga5
+ Revision: 623069
- 1.75

* Thu Oct 31 2013 tmb <tmb> 1.74-3.mga4
+ Revision: 548702
- switch from %%post to %%posttrans to help with deps ordering

* Tue Oct 22 2013 umeabot <umeabot> 1.74-2.mga4
+ Revision: 542015
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 blino <blino> 1.74-1.mga4
+ Revision: 496711
- 1.74
- rediff metric/symlink patches
- rediff "no type order" patch and add matching bits in list-records
- drop "path" patch (unneeded after /usr merge)
- drop nscd patches (service restard code has been dropped)

* Sun Mar 24 2013 colin <colin> 1.68-4.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Mon Jan 14 2013 umeabot <umeabot> 1.68-3.mga3
+ Revision: 380323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 blino <blino> 1.68-2.mga3
+ Revision: 323225
- restore symlink patch behavior: do not force /etc/resolv.conf to a symlink (broken by Rosa)

* Tue Oct 30 2012 luigiwalser <luigiwalser> 1.68-1.mga3
+ Revision: 311682
- 1.68 (sync with rosa)

* Sat Jul 21 2012 colin <colin> 1.46-2.mga3
+ Revision: 273192
- Switch to tmpfiles to create runtime files

* Thu Jan 13 2011 blino <blino> 1.46-1.mga1
+ Revision: 16412
- update man page
- rename patch suffix
- rename patch smoothing interfaces level
- remove old conflicts and triggers
- imported package resolvconf

